<?
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("C")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."trivia/locale/".$settings['locale'].".php")) {
	include INFUSIONS."trivia/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."trivia/locale/English.php";
}

// Infusion Information
$inf_title = $locale['QIZ100'];
$inf_description = $locale['QIZ101'];
$inf_version = "1.0.0";
$inf_developer = "AusiMods (LT vertimas - kunigas - phpfusion.lt)";
$inf_email = "ausimods@outbackweb.net";
$inf_weburl = "http://www.ausimods.com";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "trivia";
$inf_admin_image = "";
$inf_admin_panel = "admin/index.php";

$inf_link_name = $locale['QIZ102'];
$inf_link_url = "index.php";

$inf_newtables = 2;
$inf_insertdbrows = 0;
$inf_altertables = 0;
$inf_deldbrows = 0;


// Database Table information : Create database tables.
$inf_newtable_[1] = "trivia (  id tinyint(4) NOT NULL auto_increment,  q text NOT NULL,  cat varchar(50) NOT NULL default '',  question text NOT NULL,  opt1 text NOT NULL,  opt2 text NOT NULL,  opt3 text NOT NULL,  answer text NOT NULL,  PRIMARY KEY  (id)) TYPE=MyISAM;";

$inf_newtable_[2] = "trivia_results (
  id int(4) NOT NULL auto_increment,
  quiz_id int(4) NOT NULL default '0',
  quiz_cat varchar(100) NOT NULL default '',
  quiz_name varchar(100) NOT NULL default '',
  quiz_date date NOT NULL default '0000-00-00',
  quiz_time time NOT NULL default '00:00:00',
  quiz_score varchar(100) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_table_[1] = "trivia";
$inf_drop_table_[2] = "trivia_results";

?>
